<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <link href="/css/login.css" rel="stylesheet" id="bootstrap-css">
    <link href="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" rel="stylesheet">
    <script src="/maxcdn.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"></script>
    <script src="/cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>

    <meta charset="UTF-8">
    <title>Edit customer</title>
</head>

<body id="body">
<div id="login" class="container my-5">
    <h1 style="text-align: center">Edit customer</h1>
    <div class="card">
        <div class="card-body">
            <div class="col-md-10">
                <form th:object="${customer}" method="post">
                    <div class="row">
                        <input type="hidden" name="_method" value="PUT">

                        <div class="form-group col-md-8">
                            <label for="name" class="col-form-label">Name: </label>
                            <input type="text" th:field="*{name}" class="form-control"
                                   id="name" placeholder="Name"
                                   minlength="2" maxlength="40"/>
                        </div>
                        <div class="form-group col-md-8">
                            <label for="phone" class="col-form-label">Phone</label>
                            <input type="text" th:field="*{phone}" class="form-control"
                                   id="phone" placeholder="Phone"
                                   minlength="5" maxlength="20"/>
                        </div>

                        <div class="col-md-6">
                            <input type="submit" class="btn btn-primary" value=" Update customer ">
                        </div>
                        <p>
                            <a th:href="@{/admin}">Back to Admin portal</a>
                        </p>
                        <input type="hidden" id="id" th:field="*{id}">

                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
</body>

</html>
